%global srcname flask_oidc
%global tar_name flask-oidc
%global sum An openID Connect support for Flask

Name:           python-%{tar_name}
Version:        1.4.0
Release:        %mkrel 12
Summary:        %{sum}
Group:          Development/Python
License:        BSD
URL:            https://github.com/puiterwijk/flask-oidc
Source0:        https://pypi.io/packages/source/f/flask-oidc/%{tar_name}-%{version}.tar.gz
#  Itsdangerous replacement with PyJWT #144
# https://github.com/puiterwijk/flask-oidc/issues/147
Patch0:         flask-oidc-1.4.0-144-rediffed.patch

BuildArch:      noarch

%description
OpenID Connect support for Flask.
This library should work with any standards compliant
OpenID Connect provider. It has been tested with:
Google+ Login, Ipsilon

%package -n         python3-%{tar_name}
Summary:            %{sum}
Group:              Development/Python
BuildRequires:      python3-devel
BuildRequires:      python3dist(flask)
BuildRequires:      python3dist(pyjwt)
BuildRequires:      python3dist(oauth2client)
BuildRequires:      python3dist(six)
BuildRequires:      python3dist(setuptools)
# Test dependencies
BuildRequires:      python3dist(nose)
BuildRequires:      python3dist(mock)


%{?python_provide:%python_provide python3-%{tar_name}}

%description -n python3-%{tar_name}
Currently designed around Google’s oauth2client library and OpenID Connect
implementation. May or may not interoperate with other OpenID Connect
identity providers, for example, Microsoft’s Azure Active Directory

%prep
%autosetup -n %{tar_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{tar_name}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/*.egg-info/
%{_bindir}/oidc-register



%changelog
* Thu Nov 03 2022 papoteur <papoteur> 1.4.0-12.mga9
+ Revision: 1901911
- Replace itsdangerous by jwt

* Fri Apr 01 2022 umeabot <umeabot> 1.4.0-11.mga9
+ Revision: 1838251
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 1.4.0-10.mga9
+ Revision: 1784899
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.4.0-9.mga9
+ Revision: 1732954
- Rebuild for python 3.9

* Sat Apr 25 2020 ngompa <ngompa> 1.4.0-8.mga8
+ Revision: 1572010
- Adapt for Mageia
- imported package python-flask-oidc


* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.4.0-6
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.4.0-5
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 08 2019 Gwyn Ciesla <gwync@protonmail.com> - 1.4.0-3
- Drop python2 support.

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Sep 08 2018 Ralph Bean <rbean@redhat.com> - 1.4.0-1
- new version

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.1.1-5
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.1.1-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Mar 30 2017 Ralph Bean <rbean@redhat.com> - 1.1.1-1
- new version

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.3-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jul 13 2016 Simon M <skrzepto@gmail.com> - 1.0.1
- Working on initial spec file
- Typo in version in this change log
- Updating email address of author

* Wed Jul 13 2016 Simon M <skrzepto@gmail.com> - 1.0.3
- Updating package version 
